﻿# coding: utf-8
import cookielib, urllib, urllib2

class WebSite(object):
    def __init__(self, baseurl, encoding, host, realm, username, password):
        self.cj = cookielib.CookieJar()
        auth_handler = urllib2.HTTPBasicAuthHandler()
        auth_handler.add_password(realm, baseurl, username, password)
        self.opener = urllib2.build_opener(auth_handler, urllib2.HTTPCookieProcessor(self.cj))
        urllib2.install_opener(self.opener)
        self.baseurl = baseurl

    def get(self, url, headers={}):
        req = urllib2.Request(self.baseurl + '' + url)
        for k in headers:
            req.add_header(k, headers[k])
        f = urllib2.urlopen(req)
        page = f.read()
        try:
            f.close()
        except:
            pass
        return page

    def post(self, params):
        '''
        FORMをPOSTする。
        params: パラメータを{name:value}で格納したdict。valueは、適切なエンコードの
        strであること(unicodeでは不可)。
        '''
        headers = {"Content-type": "application/x-www-form-urlencoded",
                   "Accept": "text/plain"}

        req = urllib2.Request(url=self.baseurl + "/pukiwiki.php", data=urllib.urlencode(params))
        f = urllib2.urlopen(req)
        try:
            f.close()
        except:
            pass



